# Uses of Class
it.tdlight.jni.TdApi.UserStatus

## Uses of TdApi.UserStatus in it.tdlight.jni

Subclasses of TdApi.UserStatus in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.UserStatusEmpty`
The user's status has never been changed.
`static final class`
`TdApi.UserStatusLastMonth`
The user is offline, but was online last month.
`static final class`
`TdApi.UserStatusLastWeek`
The user is offline, but was online last week.
`static final class`
`TdApi.UserStatusOffline`
The user is offline.
`static final class`
`TdApi.UserStatusOnline`
The user is online.
`static final class`
`TdApi.UserStatusRecently`
The user was online recently.
Fields in it.tdlight.jni declared as TdApi.UserStatus
Modifier and Type
Field
Description
`TdApi.UserStatus`
TdApi.UpdateUserStatus.`status`
New status of the user.
`TdApi.UserStatus`
TdApi.User.`status`
Current online status of the user.
Constructors in it.tdlight.jni with parameters of type TdApi.UserStatus
Modifier
Constructor
Description
``
`UpdateUserStatus(long userId, TdApi.UserStatus status)`
The user went online or offline.
``
`User(long id, String firstName, String lastName, TdApi.Usernames usernames, String phoneNumber, TdApi.UserStatus status, TdApi.ProfilePhoto profilePhoto, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId, TdApi.EmojiStatus emojiStatus, boolean isContact, boolean isMutualContact, boolean isCloseFriend, boolean isVerified, boolean isPremium, boolean isSupport, String restrictionReason, boolean isScam, boolean isFake, boolean hasActiveStories, boolean hasUnreadActiveStories, boolean restrictsNewChats, boolean haveAccess, TdApi.UserType type, String languageCode, boolean addedToAttachmentMenu)`
Represents a user.